package Calculadora;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import Util.ConexaoBD;


public class RepositorioCalculadoraBD implements InterfaceRepositorioCalculadoraBD {
	
	/* (non-Javadoc)
	 * @see InterfaceRepositorioCalculadoraBD#inserir(Calculadora)
	 */
	@Override
	public void inserir(Calculadora calc) throws ClassNotFoundException, SQLException{
		
		PreparedStatement pstm;
		try {
			Connection conn = ConexaoBD.AccessConnection();
			String cmd = "insert into TblCalculadora (seq, operacao, expressao, resultado) values (?, ?, ?, ?)";
			pstm = conn.prepareStatement(cmd);
			pstm.setInt(1, calc.getNumSeq());
			pstm.setString(2, calc.getOperacao());
			pstm.setString(3, calc.getExpressao());
			pstm.setString(4, calc.getResultado());
			pstm.executeUpdate();
			conn.close();
		} catch (SQLException err) {
			 System.out.println("Erro na insero...:" + err.getMessage());
		}		
	}
	
	/* (non-Javadoc)
	 * @see InterfaceRepositorioCalculadoraBD#consultar(int)
	 */
	@Override
	public Calculadora consultar(int numCalculo) throws ClassNotFoundException, SQLException{
		
		Calculadora calc = new Calculadora();
		ResultSet rs = null;
		try {
			Connection conn = ConexaoBD.AccessConnection();
			String cmd = "Select * From TblCalculadora where seq = ?";
			PreparedStatement pstm = conn.prepareStatement(cmd);
			pstm.setInt(1, numCalculo);
			rs = pstm.executeQuery();
		} catch (SQLException err) {
			System.out.println("Erro na consulta...:" + err.getMessage());
		}	
		try {
			while (rs.next()){					
				calc.setNumSeq(rs.getInt("seq"));
				calc.setExpressao(rs.getString("expressao"));
				calc.setResultado(rs.getString("resultado"));
				calc.setOperacao(rs.getString("operacao"));
			}
		} catch (Exception err) {
			System.out.println("Erro na montagem do objeto Calculadora: "+ err.getMessage());			
		}
		return calc;
	}
}
